it-swarm.xyz

Проблема с автоматическим обновлением WordPress 3.0.1

Мой WordPress сейчас на версии 2.7. Я хочу обновить его до 3.0.1, используя функцию автоматического обновления. Я использую тип соединения FTPS.

Обновление должно быть прямым, однако я продолжаю сталкиваться с этой ошибкой:

Установка не удалась Загрузка обновления с http://wordpress.org/wordpress-3.0.1.Zip

Распаковка обновления ...

Проверка распакованных файлов ...

Установка последней версии…

Не удалось скопировать файл. /Wp-admin/css/theme-editor.dev.css

Установка не удалась

Я проверил разрешение для папки /wp-admin/css, и оно установлено на 777.

В чем проблема? Я искал в Интернете, но кажется, что много людейимеют ту же проблему .

Есть идеи?

2
Graviton

Автообновление не всегда работает, оно почти всегда работает. Я бы просто обновился вручную и не беспокоился об этом. Несколько раз, когда у меня возникала ошибка автоматического обновления, это происходит успешно, когда в следующий раз выходит новая версия (после того, как я обновляюсь вручную во время поломки).

2
curtismchale

Есть патч (http://core.trac.wordpress.org/ticket/10913) для WordPress, который должен быть включен в 3.2 и помочь исправить эту ошибку обновления для большинства людей, сталкивающихся с ней. Похоже, это происходит только с серверами, на которых работает Pure-FTPd. Между тем, есть плагин, который должен помочь исправить обновления для большинства людей: http://wordpress.org/extend/plugins/ftp-upgrade-fix/

2
user3757

Проверьте владельца файла (ов), возможно, он имеет значение 777, но если служба ftp не входит в группу владельцев или владелец, это может быть вашей проблемой

Вам нужно подключиться через telnet к веб-серверу, чтобы проверить/исправить это с помощью us ls -l, чтобы увидеть, как изменяются настройки.

0
Pbearne

Я попробовал все для автоматического обновления, которое было упомянуто на wordpress.org/support/topic/upgrade-gone-worng-pls-help, но безрезультатно.

Вместо этого я сделал обновление вручную более или менее, следуя инструкциям на codex.wordpress.org/Upgrading_WordPress. Вместо того, чтобы использовать FTP, я использовал свой хостинг-провайдер CPanel - я тогда опубликовал в блоге шаги, которые я сделал, чтобы другие могли извлечь выгоду - смотрите http://misterjaytee.com/2010/09/11/errors -Обновление-WordPress .

Надеюсь, что следующее Автоматическое обновление будет работать правильно, но если нет, то теперь я уверен, что сделать обновление вручную.

0
misterjaytee

это было обсуждено и объяснено здесь: http://nabtron.com/wordpress-update-could-not-copy-file-wp-admincsstheme-editor-dev-css/2714/

0
Nabeel

Проверьте разрешения для указанного файла. В этом случае: /wp-admin/css/theme-editor.dev.css.

0
artlung